Commit 3c819926 authored by Jonathan White's avatar Jonathan White

Added command line option for Scons to select which version of MSVS to use. ...

Added command line option for Scons to select which version of MSVS to use.   Versions 7.1, 8.0 and 9.0 are allowed.   Usage is scons MSVS_VERSION=8.0.
parent 380385ab
......@@ -50,6 +50,8 @@ opts.Add(ListOption('drivers', 'pipe drivers to build', default_drivers,
opts.Add(ListOption('winsys', 'winsys drivers to build', default_winsys,
['xlib', 'intel', 'gdi']))
opts.Add(EnumOption('MSVS_VERSION', 'MS Visual C++ version', None, allowed_values=('7.1', '8.0', '9.0')))
env = Environment(
options = opts,
tools = ['gallium'],
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment